Skip to main content
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
finicity
/
request_statement_reports
Trigger a statement reports generation for an end user
curl --request POST \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/finicity/request_statement_reports \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "max_statement_index": 24,
  "min_statement_index": 1
}
'
import requests

url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/finicity/request_statement_reports"

payload = {
"max_statement_index": 24,
"min_statement_index": 1
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_statement_index: 24, min_statement_index: 1})
};

fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/finicity/request_statement_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

Body

application/json
max_statement_index
integer
default:24
min_statement_index
integer
default:1

Response

202

OK